<?php

class Controller_Search extends Controller_App
{

	public function get_results()
	{
		$sort       = Input::get('sort');
		$term       = Input::get('q');
		$min_rating = Input::get('min_rating');
		$query      = Model_Article::query();
		
		if (! empty($term))
		{
			$query->where('title', 'like', '%' . $term . '%');
		}
		else
		{
			$results = array();
		}

		if ($sort == 'views')
		{
			$query->order_by('views', 'desc');
		}
		else if ($sort == 'rating')
		{
			$query->order_by('rating', 'desc');
		}
		else
		{
			$query->order_by('created_at', 'desc');
		}

		$results = $query->get();


		if (! empty($min_rating))
		{
			$filtered_results = array();
			foreach ($results as $article)
			{
				if ($article->get_rating() >= $min_rating)
				{
					array_push($filtered_results, $article);
				}
			}
			$results = $filtered_results;
			$filtered_results = null;
		}
		else
		{
			$min_rating = 0;
		}

		$this->template->search_query = $term;
		$this->template->sidebar = View::forge('search/sidebar', array(
			'min_rating' => $min_rating,
		));
		$this->template->body    = View::forge('search/index', array(
			'results'    => $results,
			'total'      => count($results),
		));
	}
}