<?php

class Controller_User extends Controller_App
{
	public function post_login()
	{
		$email    = Input::post('email');
		$password = Input::post('password');


		//if (! $this->auth->login($val->validated('email'), $val->validated('password')))
		if (! $this->auth->login($email, $password))
		{
			$this->redirect('/', 'error', 'Incorrect email address or password');
		}
		
		$this->redirect('/', 'success', 'You are now logged in');
	}

	public function post_register()
	{
		// Assigning variables
		$email         = Input::post('email');
		$username      = Input::post('name');
		$password      = Input::post('password');
		$password_conf = Input::post('password_conf');
		
		// Making sure passwords match
		if ($password != $password_conf)
		{
			$this->redirect('/', 'error', 'Passwords do not match');
		}

		if (Model_User::username_exists($username))
		{
			$this->redirect('/', 'error', 'That username already exists');
		}

		// Validation
		/*$val = Validation::forge();
		$val->add($username, 'EVE Online Name')->add_rule('required')->add_rule('min_length', 3)->add_rule('max_length', 75);
		$val->add($email, 'email')->add_rule('required')->add_rule('valid_email');

		if (! $val->run())
		{
			throw new Exception("Error Processing Request", 1);
		}*/

		try
		{
			$this->auth->create_user($email, $password);
		}
		catch (SiteUserUpdateException $e)
		{
			$this->redirect('/', 'error', $e->getMessage());
		}

		$this->auth->login($email, $password);

		$user_id = $this->auth->get_user_id();
		$user    = Model_User::get_by_id($user_id);

		$user->username = $username;
		$user->save();

		$this->redirect('/', 'success', 'Welcome to EveLog');

	}

	public function get_logout()
	{
		$this->auth->logout();
		$this->redirect('/', 'info', 'You are now logged out');
		
	}

	public function get_account()
	{
		
	}
}