<?php

class Model_FeaturedArticles extends \Orm\Model
{
	protected static $_table_name = 'featured_articles';

	protected static $_properties = array(
		'id',
		'user_id',
		'url',
		'title',
		'content',
		'views',
		'created_at',
		'updated_at',
	);

	protected static $_belongs_to = array('user');

	public static function get_featured()
	{
		return static::query()->order_by('created_at', 'desc')->limit(10)->get();
	}

	public function date($format = "m/d/Y h:m a")
	{
		return date($format, $this->created_at);
	}
}