<?php

class Model_Rating extends \Orm\Model
{

	protected static $_properties = array(
		'id',	
		'user_id',
		'article_id',
		'rating',
	);


	// belongs_to Model_User
	protected static $_belongs_to = array('user');

	

	public static function rating_exists($profile, $article)
	{
		$total = static::query()->where('user_id', $profile->id)->where('article_id', $article->id)->count();
		return ($total > 0);
	}

	public static function total_ratings($article_id)
	{
		return static::query()->where('article_id', $article_id)->count();
	}

	public static function get_article_rating($article_id)
	{
		$ratings = static::query()->where('article_id', $article_id)->get();
		
		if (count($ratings) == 0)
		{
			return 0;
		}

		$total = 0;
		$i = 0;

		foreach ($ratings as $rating)
		{
			$total = $total + $rating->rating;
			$i++;
		}
		return round(($total / $i), 1);
	}
}