<?php

class Model_RecentPosts extends \Orm\Model
{
	protected static $_table_name = 'articles';

	protected static $_properties = array(
		'id',
		'user_id',
		'title',
		'content',
		'views',
		'created_at',
		'updated_at',
	);


	public function date($format = "m/d/Y h:m a")
	{
		return date($format, $this->created_at);
	}


	protected static $_observers = array(
		'Orm\\Observer_CreatedAt' => array(
			'events' => array('before_insert'),
			'mysql_timestamp' => true,
			'property' => 'created_at',
		),
		'Orm\\Observer_UpdatedAt' => array(
			'events' => array('before_save'),
			'mysql_timestamp' => true,
			'property' => 'updated_at',
		),
	);


	public static function get_posts()
	{
		return static::query()->order_by('created_at', 'asc')->limit(10)->get();
	}

}