<!doctype HTML>
<html lang="en" class="group">
<head>
	<meta charset="UTF-8">
	<title>EveLog</title>


	<!-- Important header assets -->
	<link rel="shortcut icon" href="<?= Asset::get_file('favicon.ico', 'img') ?>" type="image/x-icon" />
	<script src="//ajax.googleapis.com/ajax/libs/jquery/2.0.0/jquery.min.js"></script>
	<?= Asset::css('bootstrap.css') ?>
	<?= Asset::css('main.css') ?>
	<?= Asset::css('redactor.css') ?>
	<?= Asset::js('redactor.min.js') ?>
	<link href='http://fonts.googleapis.com/css?family=Open+Sans:400,300,600,700,800|Audiowide' rel='stylesheet' type='text/css'>
	<link href='http://fonts.googleapis.com/css?family=Open+Sans:400italic,600italic,700italic,400,300,600,700' rel='stylesheet' type='text/css'>

</head>

<body class="group">
	<!--Head elements-->
	<nav>
		<div id="nav_wrapper">
			<?php if (isset($user)): ?>
			
			<span id="signin">
				<?= Html::anchor('post', 'Create Post') ?> | <?= Html::anchor('logout', 'Logout') ?>
			</span>

			<?php else: ?>

			<span id="signin">
				<a href="" data-toggle="modal" data-target="#signin_modal">Sign in</a> | <a href="" data-toggle="modal" data-target="#register_modal">Register</a>
			</span>

			<?php endif; ?>


		</div>
	</nav>
	<div id="wrapper" class="group">
		<a href="<?= Uri::base(false) ?>"><?= Asset::img('evelog.png', array('id' => 'logo')) ?></a>
		<?= Form::open(array('action' => '/search', 'method' => 'get', 'id' => 'search')) ?>
			<div class="border">
				<input type="text" autocomplete="off" name="q" id="search_input" placeholder="Search..." value="<?= isset($search_query) ? $search_query : null ?>">
				<input type="image" src="<?= Asset::get_file('search.png', 'img') ?>" value="Submit">
			</div>
		<?= Form::close() ?>

		<?php if (isset($notice)): ?>
		<div class="alert alert-<?= $notice->type ?>">
			<button type="button" class="close" data-dismiss="alert">x</button>
			<?= $notice->message ?>
		</div>
		<?php endif; ?>
	
		<!--Body Elements-->
		<?= isset($body) ? $body : null ?>

		<?= isset($sidebar) ? $sidebar : null ?>

		<div id="reset"></div> <!-- Used as a clear for floats. -->

		<!-- Footer section -->
		<footer class="border">
			<p>Copyright &copy; 2013 EveLog | <a href="<?= Uri::base(false).'terms' ?>">Terms & conditions</a> | <a href= "mailto:keithkeith41@gmail.com" >Contact</a></p>
		</footer>
	</div><!--End Wrapper-->

	<!-- These next two sections are the modals that make up sign in and registration. -->
	<div id="signin_modal" class="modal hide fade">
		<div class="modal-header">
			<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
			<h3>Sign in to EveLog</h3>
		</div>
		<div class="modal-body">
			<?= Form::open('login') ?>
				<input type="text" name="email" placeholder="Email Address">
					<br/>
				<input type="password" name="password" placeholder="password">
					<br/>
				<input type="submit" value="Sign In">
			</form>
		</div>
	</div>

	<div id="register_modal" class="modal hide fade">
		<div class="modal-header">
			<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
			<h3>Register to EveLog</h3>
		</div>
		<div class="modal-body">
			<?= Form::open('register'); ?>
				<input type="text" name="name" placeholder="EVE Online Name">
					<br/>
				<input type="text" name="email" placeholder="Email Address">
					<br/>
				<input type="password" name="password" placeholder="password">
					<br/>
				<input type="password" name="password_conf" placeholder="confirm">
					<br/>
				<input type="submit" value="Register">
			</form>
		</div>
	</div>

</body>
	<!-- Unessential assets that may be loaded after the HTML. -->
	<?= Asset::js('bootstrap.js') ?>
	<?= Asset::js('bootstrap-alert.js') ?>
	<?= Asset::js('main.js') ?>

	<!-- Google Analytics -->
	<script>
		(function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
		(i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
		m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
		})(window,document,'script','//www.google-analytics.com/analytics.js','ga');

		ga('create', 'UA-41138366-1', 'evelog.org');
		ga('send', 'pageview');
	</script>

</html>